#include <string>

namespace rtl
{
// fake OUString
class OUString
    : public std::string
    {
    public:
        OUString( const char* );
    };
}

// fake RTL_CONSTASCII_USTRINGPARAM
#define RTL_CONSTASCII_USTRINGPARAM( constAsciiStr ) (&(constAsciiStr)[0])

namespace com
{
namespace sun
{
namespace star
{
namespace lang
{

class XMultiServiceFactory
    {
    public:
        void createInstance( const rtl::OUString& s );
    };

}}}} // namespaces

class Bait
    {
    public:
        void createInstance( const rtl::OUString& s );
    };

class A
    {
    public:
        com::sun::star::lang::XMultiServiceFactory* foo();
        Bait* bait();
    };

void bar()
    {
    A a;
    a.foo()->createInstance( "test" );
    a.foo()->createInstance( RTL_CONSTASCII_USTRINGPARAM( "test" ));
    a.bait()->createInstance( "bait" );
    }
